OpenJPEG: indexbox_manager.h File Reference

OpenJPEG 2.1.2

Macros | Functions
indexbox_manager.h File Reference

Modification of jpip.c from 2KAN indexer. More...

`#include "openjpeg.h"`
`#include "j2k.h"`
`#include "jp2.h"`

Go to the source code of this file.

## Macros
#define | JPIP_CIDX 0x63696478 /* Codestream index */
#define | JPIP_CPTR 0x63707472 /* Codestream Finder Box */
#define | JPIP_MANF 0x6d616e66 /* Manifest Box */
#define | JPIP_FAIX 0x66616978 /* Fragment array Index box */
#define | JPIP_MHIX 0x6d686978 /* Main Header Index Table */
#define | JPIP_TPIX 0x74706978 /* Tile-part Index Table box */
#define | JPIP_THIX 0x74686978 /* Tile header Index Table box */
#define | JPIP_PPIX 0x70706978 /* Precinct Packet Index Table box */
#define | JPIP_PHIX 0x70686978 /* Packet Header index Table */
#define | JPIP_FIDX 0x66696478 /* File Index */
#define | JPIP_FPTR 0x66707472 /* File Finder */
#define | JPIP_PRXY 0x70727879 /* Proxy boxes */
#define | JPIP_IPTR 0x69707472 /* Index finder box */
#define | JPIP_PHLD 0x70686c64 /* Place holder */

## Functions
int | opj_write_tpix (int coff, opj_codestream_info_t cstr_info, int j2klen, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_thix (int coff, opj_codestream_info_t cstr_info, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_ppix (int coff, opj_codestream_info_t cstr_info, OPJ_BOOL EPHused, int j2klen, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_phix (int coff, opj_codestream_info_t cstr_info, OPJ_BOOL EPHused, int j2klen, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
void | opj_write_manf (int second, int v, opj_jp2_box_t *box, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_mainmhix (int coff, opj_codestream_info_t cstr_info, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_phixfaix (int coff, int compno, opj_codestream_info_t cstr_info, OPJ_BOOL EPHused, int j2klen, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_ppixfaix (int coff, int compno, opj_codestream_info_t cstr_info, OPJ_BOOL EPHused, int j2klen, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_tilemhix (int coff, opj_codestream_info_t cstr_info, int tileno, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)
int | opj_write_tpixfaix (int coff, int compno, opj_codestream_info_t cstr_info, int j2klen, opj_stream_private_t *cio, opj_event_mgr_t *p_manager)

## Detailed Description

Modification of jpip.c from 2KAN indexer.

## Macro Definition Documentation

## ◆ JPIP_CIDX

#define JPIP_CIDX 0x63696478 /* Codestream index */

Referenced by opj_jp2_set_decoded_resolution_factor(), and opj_write_cidx().

## ◆ JPIP_CPTR

#define JPIP_CPTR 0x63707472 /* Codestream Finder Box */

Referenced by opj_write_cptr().

## ◆ JPIP_FAIX

#define JPIP_FAIX 0x66616978 /* Fragment array Index box */

Referenced by opj_write_phix(), opj_write_phixfaix(), opj_write_ppix(), opj_write_ppixfaix(), and opj_write_tpixfaix().

## ◆ JPIP_FIDX

#define JPIP_FIDX 0x66696478 /* File Index */

Referenced by opj_jp2_set_decoded_resolution_factor().

## ◆ JPIP_FPTR

#define JPIP_FPTR 0x66707472 /* File Finder */

## ◆ JPIP_IPTR

#define JPIP_IPTR 0x69707472 /* Index finder box */

Referenced by opj_jp2_set_decoded_resolution_factor().

## ◆ JPIP_MANF

#define JPIP_MANF 0x6d616e66 /* Manifest Box */

Referenced by opj_write_manf().

## ◆ JPIP_MHIX

#define JPIP_MHIX 0x6d686978 /* Main Header Index Table */

Referenced by opj_write_cidx(), opj_write_mainmhix(), opj_write_thix(), and opj_write_tilemhix().

## ◆ JPIP_PHIX

#define JPIP_PHIX 0x70686978 /* Packet Header index Table */

Referenced by opj_write_cidx(), and opj_write_phix().

## ◆ JPIP_PHLD

#define JPIP_PHLD 0x70686c64 /* Place holder */

## ◆ JPIP_PPIX

#define JPIP_PPIX 0x70706978 /* Precinct Packet Index Table box */

Referenced by opj_write_cidx(), and opj_write_ppix().

## ◆ JPIP_PRXY

#define JPIP_PRXY 0x70727879 /* Proxy boxes */

Referenced by opj_jp2_set_decoded_resolution_factor().

## ◆ JPIP_THIX

#define JPIP_THIX 0x74686978 /* Tile header Index Table box */

Referenced by opj_write_cidx(), and opj_write_thix().

## ◆ JPIP_TPIX

#define JPIP_TPIX 0x74706978 /* Tile-part Index Table box */

Referenced by opj_write_cidx(), and opj_write_tpix().

## Function Documentation

## ◆ opj_write_mainmhix()

int opj_write_mainmhix | ( | int | coff,
|  | opj_codestream_info_t | cstr_info,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References JPIP_MHIX, opj_marker_info::len, opj_codestream_info::main_head_end, opj_codestream_info::main_head_start, opj_codestream_info::marker, opj_codestream_info::marknum, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_marker_info::pos, and opj_marker_info::type.

Referenced by opj_write_cidx().

## ◆ opj_write_manf()

void opj_write_manf | ( | int | second,
|  | int | v,
|  | opj_jp2_box_t * | box,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References JPIP_MANF, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), and opj_write_bytes.

Referenced by opj_write_cidx(), opj_write_phix(), opj_write_ppix(), and opj_write_thix().

## ◆ opj_write_phix()

int opj_write_phix | ( | int | coff,
|  | opj_codestream_info_t | cstr_info,
|  | OPJ_BOOL | EPHused,
|  | int | j2klen,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References JPIP_FAIX, JPIP_PHIX, opj_jp2_box::length, opj_codestream_info::numcomps, opj_calloc(), opj_free(), opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_write_manf(), opj_write_phixfaix(), and opj_jp2_box::type.

Referenced by opj_write_cidx().

## ◆ opj_write_phixfaix()

int opj_write_phixfaix | ( | int | coff,
|  | int | compno,
|  | opj_codestream_info_t | cstr_info,
|  | OPJ_BOOL | EPHused,
|  | int | j2klen,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References opj_packet_info::end_ph_pos, JPIP_FAIX, opj_codestream_info::numcomps, opj_codestream_info::numdecompos, opj_codestream_info::numlayers, OPJ_CPRL, OPJ_LRCP, OPJ_PCRL, OPJ_RLCP, OPJ_RPCL, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_tile_info::packet, opj_tile_info::ph, opj_codestream_info::prog, opj_tile_info::pw, opj_packet_info::start_pos, opj_codestream_info::th, opj_codestream_info::tile, and opj_codestream_info::tw.

Referenced by opj_write_phix().

## ◆ opj_write_ppix()

int opj_write_ppix | ( | int | coff,
|  | opj_codestream_info_t | cstr_info,
|  | OPJ_BOOL | EPHused,
|  | int | j2klen,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References JPIP_FAIX, JPIP_PPIX, opj_jp2_box::length, opj_codestream_info::numcomps, opj_calloc(), opj_free(), opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_write_manf(), opj_write_ppixfaix(), and opj_jp2_box::type.

Referenced by opj_write_cidx().

## ◆ opj_write_ppixfaix()

int opj_write_ppixfaix | ( | int | coff,
|  | int | compno,
|  | opj_codestream_info_t | cstr_info,
|  | OPJ_BOOL | EPHused,
|  | int | j2klen,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References opj_packet_info::end_ph_pos, opj_packet_info::end_pos, JPIP_FAIX, opj_codestream_info::numcomps, opj_codestream_info::numdecompos, opj_codestream_info::numlayers, OPJ_CPRL, OPJ_LRCP, OPJ_PCRL, OPJ_RLCP, OPJ_RPCL, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_tile_info::packet, opj_tile_info::ph, opj_codestream_info::prog, opj_tile_info::pw, opj_packet_info::start_pos, opj_codestream_info::th, opj_codestream_info::tile, and opj_codestream_info::tw.

Referenced by opj_write_ppix().

## ◆ opj_write_thix()

int opj_write_thix | ( | int | coff,
|  | opj_codestream_info_t | cstr_info,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References JPIP_MHIX, JPIP_THIX, opj_jp2_box::length, opj_calloc(), opj_free(), opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_write_manf(), opj_write_tilemhix(), opj_codestream_info::th, opj_codestream_info::tw, and opj_jp2_box::type.

Referenced by opj_write_cidx().

## ◆ opj_write_tilemhix()

int opj_write_tilemhix | ( | int | coff,
|  | opj_codestream_info_t | cstr_info,
|  | int | tileno,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References JPIP_MHIX, opj_tile_info::marker, opj_tile_info::marknum, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_codestream_info::tile, opj_tile_info::tp, opj_tp_info::tp_end_header, and opj_tp_info::tp_start_pos.

Referenced by opj_write_thix().

## ◆ opj_write_tpix()

int opj_write_tpix | ( | int | coff,
|  | opj_codestream_info_t | cstr_info,
|  | int | j2klen,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References JPIP_TPIX, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, and opj_write_tpixfaix().

Referenced by opj_write_cidx().

## ◆ opj_write_tpixfaix()

int opj_write_tpixfaix | ( | int | coff,
|  | int | compno,
|  | opj_codestream_info_t | cstr_info,
|  | int | j2klen,
|  | opj_stream_private_t * | cio,
|  | opj_event_mgr_t * | p_manager
| ) |  |

References get_num_max_tile_parts(), JPIP_FAIX, opj_tile_info::num_tps, opj_codestream_info::numdecompos, opj_stream_seek(), opj_stream_skip(), opj_stream_tell(), opj_stream_write_data(), opj_write_bytes, opj_codestream_info::th, opj_codestream_info::tile, opj_tile_info::tp, opj_tp_info::tp_end_pos, opj_tp_info::tp_start_pos, and opj_codestream_info::tw.

Referenced by opj_write_tpix().